Subject: [IGSMAIL-1842] CODE RPR Model
From: T.A. Springer
Date: Wed, 25 Mar 1998 2:55:13 PST

******************************************************************************
IGS Electronic Mail      Wed Mar 25  2:55:13 PST 1998      Message Number 1842
******************************************************************************

Author: T.A. Springer
Subject: CODE RPR Model

Dear IGS colleagues,

During the Darmstadt IGS meeting it was agreed that both, JPL and CODE,
would make available their new solar radiation pressure (RPR) models for the
GPS Block II and IIa satellites. In this e-mail the CODE RPR model in
presented. More information may be found in the paper which was prepared
for the proceedings of the Darmstadt meeting [Springer 1998]. 
A postscript version of this paper is available on our anonymous ftp in
the  directory "PAPERS". The filename is "ORBMOD98.PS". 

The set of parameters of our RPR model was derived using 5-day fits to
the CODE final orbits for the 5.5 years interval from June 1992 to
January 1998 although only the results based on the last two years (1996
and 1997) were used. Our RPR model uses two different coordinate
systems. The satellite-fixed reference system, as used for the ROCK
model, consisting of the Z-, Y-, and X-axis. And the reference system
which was used for the development of the Extended CODE Orbit model
(ECOM) [Beutler 1994] consisting of the D-, Y-, and B-axis. Note that we
used to refer to the third axis of the ECOM model as "X-axis" but to
avoid confusion we will from now on use the term "B-axis".

The definition of the axis is as follows:
- the Z-axis is the satellite-Earth direction positive towards the Earth.
- the D-axis is the satellite-Sun direction positive towards the Sun.
- the Y-axis, which is identical in both coordinate systems, is computed
  using the vectorial product: Y = D x Z.
- the X- and B-axis complete the right handed systems. They can easily be
  computed as: X = Z x Y, and B = D x Y.

Note that in our definition of the satellite-fixed reference frame the
Z-axis is the primary axis! This implies that our Y-axis points in the
opposite direction as the Y-axis of e.g. the JPL model which uses the
X-axis as primary axis! The Z-, and X-axis, however, are identical for
both (CODE and JPL) models.

Besides these two reference frames our RPR model uses three different
angles, u, u0, and Beta0. The definition of these angles is [Rothacher 1995]:
- u : argument of latitude of the satellite in the orbital plane.
- u0: latitude of the Sun in the orbital plane. 
- Beta0: elevation of the Sun above the orbital plane, 
      (the angle between D and the orbital plane).

Note that our Beta0 angle and the beta-angle of the JPL model are identical.

Our RPR model consists out of three constant terms in the D-, Y- and
B-direction, a once per revolution term in the Z-direction and a once
and three-times per revolution term in the X-direction. Using the
previously defined axis and angles, the accelerations experienced by the
satellites according to our RPR model may be written as follows:

-------------------------------------------------------------------------------
 D = D0 + DC2 COS(2*Beta0) + DC4 COS(4*Beta0)
 Y = Y0 + YC  COS(2*Beta0)
 B = B0 + BC  COS(2*Beta0)

 Zp= {Z0 +ZC2 COS(2*Beta0) +ZS2 COS(2*Beta0) 
         +ZC4 COS(4*Beta0) +ZS4 COS(4*Beta0)} SIN(u-u0)
 Xp= {X10+X1C COS(2*Beta0) +X1S COS(2*Beta0)} SIN(u-u0)
    +{X30+X3C COS(2*Beta0) +X3S COS(2*Beta0)} SIN(3*u-u0)
-------------------------------------------------------------------------------

The values for the above parameters are given below in the appendix.
Note that all three constants (D0, Y0, and B0) are satellite-specific
and that the "Z0" term is Block type dependent. Remember that the model
is only valid for Block II and IIa satellites! Furthermore, the values
given for PRN8 should be used with care because this satellite was
launched late in 1997 and by the end of the year was still in its
``outgassing'' phase. Of course, satellite PRN23 should be used with
care as well due to the problems with the orientation of its solar
panels. 

Some values for PRN13, the first Block IIr satellite, are also included
but just like PRN8 it was launched late in 1997 and is still in its
outgassing phase. Furthermore it is not clear whether our RPR model is
valid for this new type of satellites.

The formal errors for the satellites PRN 14, 16, 18, 19, and 29 are much
larger than those of the other satellites. These satellites have
(severe) modeling problems. Therefore they were downweighted in the
model estimation to prevent degradation of the parameters common to all
satellites (PRN's 8, 13 and 23 were also downweighted).

Please let me know if you have any questions, problems, and or comments
when implementing this model into your software. I am very much looking
forward to learn about the results you obtain (hopefully improvements)
when using our RPR model.

Kind regards,
        Tim Springer
        CODE Analysis Center

ps. Information about the JPL RPR model was distributed last week to the 
    IGS Analysis Centers. If you are interested in the JPL model please
    contact Yoaz Bar-Sever, e-mail: [email-masked]

References:
-----------
Beutler, G., E. Brockmann, W. Gurtner, U. Hugentobler, L. Mervart, and
   M. Rothacher (1994), 
   Extended Orbit Modeling Techniques at the CODE Processing Center of the 
   International GPS Service for Geodynamics (IGS): Theory and Initial Results
   Manuscripta Geodaetica}, 19,  367--386, April 1994.

Rothacher, M., G. Beutler, and L. Mervart (1995), 
   The Perturbation of the Orbital Elements of GPS Satellites Through Direct 
   Radiation Pressure
   IGS Workshop Proceedings on Special Topics and New Directions
   edited by G. Gendt and G. Dick, pp. 152--166, 
   GeoForschungs-Zentrum, Potsdam,  Germany, May 15--18 1995.
------> postscript version on our anonymous ftp 
        directory: PAPERS
        file:      RPRPAP95.PS

Springer, T.A., G. Beutler, and M. Rothacher (1998),
   A new Solar Radiation Pressure Model for the GPS Satellites
   IGS Workshop Proceedings (in press)
   ESOC, Darmstadt, Germany, February 9--11 1998.
------> postscript version on our anonymous ftp
        directory: PAPERS
        file:      ORBMOD98.PS

Appendix:
---------
 Constant terms (D0, Y0, B0). 
 Values and sigmas in 10**-9 m/s^2.
 -----------------------------------------------------------------            
                D0                  Y0                   B0
 PRN      value    sigma      value    sigma       value    sigma  
 -----------------------------------------------------------------         
  1    -91.08801  0.00274    0.74586  0.00171    -0.48684  0.00953 
  2    -99.37357  0.00284    0.63628  0.00176     0.04802  0.00988 
  3    -90.39570  0.00384    0.56376  0.00224    -0.39605  0.01144 
  4    -90.50221  0.00292    0.78560  0.00185    -0.24873  0.01037 
  5    -90.41434  0.00283    0.76129  0.00176    -0.23098  0.00994 
  6    -90.35439  0.00293    0.75893  0.00193    -0.30927  0.01074 
  7    -90.23837  0.00295    1.03761  0.00193    -0.22417  0.01085 
  8W   -93.34261  4.18145    1.83940  1.57099    -0.71430  3.66538 
  9    -90.31771  0.00271    0.79550  0.00170    -0.35699  0.00953 
 10    -89.54678  0.00415    0.78191  0.00245    -0.17729  0.01180 
 14W   -99.29085  0.34527    0.90645  0.22846    -0.25103  1.41342 
 15    -98.98552  0.00292    0.70484  0.00184    -0.47494  0.01035 
 16W   -99.10836  0.32422    0.64969  0.20940    -0.11705  1.32091 
 17    -99.01077  0.00290    0.66049  0.00182    -0.07708  0.01026 
 18W   -99.35932  0.29567    0.86835  0.18037    -0.47834  1.06143 
 19W   -99.85021  0.30047    0.70577  0.19193    -0.14497  1.16200 
 20   -100.39624  0.00637    0.66423  0.00390    -0.49979  0.02119 
 21    -99.47785  0.00278    0.25929  0.00174     0.09967  0.00975 
 22    -90.94495  0.00285    0.73197  0.00178    -0.01794  0.00991 
 23W   -78.59216  0.85952    0.74407  0.20068    -1.08432  1.38538 
 24    -91.43664  0.00293    1.05373  0.00186    -0.22146  0.01053 
 25    -90.78589  0.00270    0.85563  0.00169    -0.38510  0.00954 
 26    -90.37780  0.00271    0.97505  0.00170    -0.41444  0.00954 
 27    -90.29192  0.00270    0.94824  0.00181    -0.42242  0.00948 
 28    -90.95188  0.00423    0.82100  0.00295    -0.13036  0.01640 
 29W   -91.01540  0.28149    0.90782  0.17596    -0.51889  0.99759 
 30    -90.45539  0.00425    0.82852  0.00240    -0.54093  0.01280 
 31    -90.37061  0.00293    0.62691  0.00192    -0.61735  0.01074 
 -----------------------------------------------------------------            
 13W   -99.59941  1.32229   -0.28010  0.40757    -1.67325  2.79077 Block IIr
 -----------------------------------------------------------------            
 "W" means that the satellite was downweighted in the model estimation

 Other terms of the CODE RPR model
 Values and sigmas in 10**-9 m/s^2.
 ----------------------------------
          value    sigma
 ------------------------
 DC2    -0.81297  0.00176
 DC4     0.51725  0.00124
 ------------------------
 YC2    -0.06717  0.00104
 ------------------------
 BC2     0.38537  0.00572
 ------------------------
 Z0 II   1.02378  0.00299
 Z0 IIa  0.97940  0.00184
 ZC2     0.51935  0.00248
 ZS2     0.12519  0.00149
 ZC4     0.04724  0.00261
 ZS4    -0.04531  0.00164
 ------------------------
 X10    -0.01539  0.00157
 X1C    -0.01845  0.00297
 X1S    -0.03320  0.00168
 ------------------------
 X30     0.00421  0.01655
 X3C    -0.04586  0.03118
 X3S    -0.39849  0.01773
 ------------------------

 ------------------------------------------------------------------------------
 Tim Springer                       Astronomical Institute, University of Berne 
 Tel:   +41 31 6318592              Sidlerstrasse 5, CH-3012 Bern, Switzerland  
 Fax:   +41 31 6313869              ftp: ubeclu.unibe.ch  -or-  130.92.6.11
 e-mail: [email-masked]          after login: cd aiub$ftp
 www:   http://www.cx.unibe.ch/aiub/
 ------------------------------------------------------------------------------

[Mailed From: TIM SPRINGER <[email-masked]>]